with a AS (select a.ACCOUNTNAME, a.ACCOUNTID, c.CURRENCYID, c.CURRENCY_SYMBOL
        from ACCOUNTLIST_V1 a, CURRENCYFORMATS_V1 c
        where a.CURRENCYID=c.CURRENCYID
    ),

   ta AS (select a.ACCOUNTNAME, a.ACCOUNTID, c.CURRENCYID, c.CURRENCY_SYMBOL
        from ACCOUNTLIST_V1 a, CURRENCYFORMATS_V1 c
        where a.CURRENCYID=c.CURRENCYID
    ),

    t AS (select t.ACCOUNTID, t.TOACCOUNTID
        , t.TRANSDATE, t.TRANSID
        , TRANSAMOUNT as TransAmount
        , TOTRANSAMOUNT as ToTransAmount
        from checkingaccount_v1 t
        where  t.transcode = 'Transfer'
    )

select  t.TRANSDATE as Date, t.TRANSID as Nr
    , a.ACCOUNTNAME ||' ('|| a.CURRENCY_SYMBOL ||')' as ACCOUNTNAME, '->'
    , ta.ACCOUNTNAME ||' ('|| ta.CURRENCY_SYMBOL ||')' as TOACCOUNTNAME
    , t.TransAmount TransAmount,  t.ToTransAmount ToTransAmount
    , case when t.TransAmount > t.ToTransAmount then t.TransAmount / t.ToTransAmount else  t.ToTransAmount/t.TransAmount end as Exchange

from t
inner join a on a.ACCOUNTID=t.ACCOUNTID
left join ta on ta.ACCOUNTID=t.TOACCOUNTID
where  t.TRANSDATE >=date('now','start of month', '-111 month')
    and  t.TRANSDATE <date('now','start of month','+1 month')
order by Date